[Rubygems-developers] [ rubygems-Bugs-29063 ] Get `undefined class/module YAML::PrivateType` when installing rails3_assist gem in 1.9.2

noreply at rubyforge.org noreply at rubyforge.org
Mon Mar 7 20:52:43 EST 2011


Bugs item #29063, was opened at 2011-03-05 18:34
You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=29063&group_id=126

Category: None
Group: None
Status: Open
Resolution: None
Priority: 3
Submitted By: Marcelo Giorgi (marklazz)
>Assigned to: Ryan Davis (zenspider)
Summary: Get `undefined class/module YAML::PrivateType` when installing rails3_assist gem in 1.9.2

Initial Comment:
$ gem install rails3_assist
ERROR:  While executing gem ... (ArgumentError)
    undefined class/module YAML::PrivateType

And the output from `gem env`:

$ gem env

RubyGems Environment:
  - RUBYGEMS VERSION: 1.5.3
  - RUBY VERSION: 1.9.2 (2011-02-18 patchlevel 180) [i686-linux]
  - INSTALLATION DIRECTORY: /usr/local/lib/ruby/gems/1.9.1
  - RUBY EXECUTABLE: /usr/local/bin/ruby
  - EXECUTABLE DIRECTORY: /usr/local/bin
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86-linux
  - GEM PATHS:
     - /usr/local/lib/ruby/gems/1.9.1
     - /home/marcelo/.gem/ruby/1.9.1
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :benchmark => false
     - :backtrace => false
     - :bulk_threshold => 1000
     - :sources => ["http://rubygems.org/", "http://gems.github.com", "http://gemcutter.org"]
     - "install" => "--no-rdoc --no-ri"
     - "update" => "--no-rdoc --no-ri"
  - REMOTE SOURCES:
     - http://rubygems.org/
     - http://gems.github.com
     - http://gemcutter.org


----------------------------------------------------------------------

You can respond by visiting: 
http://rubyforge.org/tracker/?func=detail&atid=575&aid=29063&group_id=126


More information about the Rubygems-developers mailing list